SEC Filings
US Filings
Call GET /us/filings on the Corpus API.
GET /us/filings
Call GET /us/filings on the Corpus API.
Category: US · SEC Filings
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| ticker | query | no | string | null | — | — |
| cik | query | no | string | null | — | — |
| accession_number | query | no | string | null | — | — |
| filing_type | query | no | array<string> | null | — | — |
| filing_date_start | query | no | string (date) | null | — | — |
| filing_date_end | query | no | string (date) | null | — | — |
| report_date_start | query | no | string (date) | null | — | — |
| report_date_end | query | no | string (date) | null | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 100; min 1; max 1000 | — |
| offset | query | no | integer | default 0; min 0 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/filings?ticker=AAPL&limit=100' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | USFilingsResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | FilingProcessingErrorResponse |
Representative 200 response
{
"filings": [
{
"cik": "0000320193",
"accession_number": "0000320193-25-000079",
"filing_type": "10-K",
"report_date": "2025-12-31",
"filing_date": "2025-12-31",
"filing_datetime": "2025-12-31T23:59:59Z",
"ticker": "AAPL",
"url": "https://corpus-api.onera.app",
"is_xbrl": true,
"content_status": "pending"
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}